请选择 进入手机版 | 继续访问电脑版

kangle软件 是一款高性能跨平台web服务器

 找回密码
 注册
kangle web软件将启用新域名 kangleweb.com 作为kangle软件官方网站网址
kangle web服务器最新版下载
kangle访问控制模块介绍 -  kangle设置优化原则
kangle中文帮助手册 -产品购买
easypanel 虚拟主机控制面板最新版
easypanel虚拟主机控制面板功能列表
easypanel中文帮助手册 - 讨论
   kangle虚拟主机管理下载 - 安装 - 帮助手册
    
   销售: 在线客服QQ   技术支持: 在线客服QQ
    kangle web (介绍, 功能特性, 运行环境, 安装说明, 常见问题, 使用教程)     easypanel主机控制面板 (介绍, 功能特性, 安装说明, 常见问题, 使用教程)
    vhms系统 (介绍, 安装说明, 常见问题, 使用教程)     [kangle软件交流QQ群:104434948]
查看: 13311|回复: 16

kangle+mysql+ep+一个ep模板cetos5 6一键安装脚本!7.9更新

[复制链接]
发表于 2016-7-7 09:34:44 | 显示全部楼层 |阅读模式
本帖最后由 xiaobin73260 于 2016-7-10 14:06 编辑

(集成了kangle 3.4.8 web 服务器黑色小河修改版和mysql5.1,脚本仅支持centos 5和centos 6)
支持自定义403.404.503 .504等错误页面!

此脚本集合安装 升级 修改  增加扩展等众多功能   如下图所示!
建议使用centos 6  
  1. yum -y install wget;rm -rf ke.sh;wget http://api.ceomao.cn/kangle/sh/ke.sh;-O ke.sh;sh ke.sh
复制代码

对于yum有问题的机器可以先执行以下命令把yum换为网易的yum
  1. yum -y install wget;wget http://api.ceomao.cn/kangle/sh/yum.sh -O yum.sh;sh yum.sh
复制代码

对于已经安装了kangle环境想自定义错误页面的朋友
可以用下面的这个脚本!以前数据不会丢失
如果怕出现什么问题 请先备份!
vhs/kangle/etc

  1. yum -y install wget;wget http://api.ceomao.cn/kangle/kc.sh -O kc.sh;sh kc.sh
复制代码


此脚本仅用于新安装!!
自带的EP模板截图

上面一键脚本仅用于未安装kangle环境的用!
包括mysql5.1 php53 和 EP面板
并且带上一个ep面板的模板!切换安装过后在 3312
服务器设置里面切换模板!
如果模板出现排版错误请按照下面的方法清理模板缓存




详细自定义错误页面的方法
以403为演示
进入错误页面!

查看源代码



可以看到这里说明名字 把你改好的错误页面用sftp登录服务器放在linux 的根目录即可
如果不放则会使用kangle默认的页面

回复

使用道具 举报

发表于 2016-7-9 17:14:16 | 显示全部楼层
提示: 作者被禁止或删除 内容自动屏蔽
回复 支持 反对

使用道具 举报

 楼主| 发表于 2016-7-9 17:27:32 | 显示全部楼层
626017418 发表于 2016-7-9 17:14
好像不能搭建!显示100%[==============================================>] 15,576      --.-K/s   in 0.0 ...

你的系统发下
回复 支持 反对

使用道具 举报

发表于 2016-7-9 20:20:11 | 显示全部楼层
提示: 作者被禁止或删除 内容自动屏蔽
回复 支持 反对

使用道具 举报

 楼主| 发表于 2016-7-9 20:33:47 | 显示全部楼层
626017418 发表于 2016-7-9 20:20
CentOS
6.5 x86_64 (64bit)

可以了可以了可以了可以了
回复 支持 反对

使用道具 举报

发表于 2016-7-9 20:50:51 | 显示全部楼层
提示: 作者被禁止或删除 内容自动屏蔽
回复 支持 反对

使用道具 举报

发表于 2016-7-9 21:04:38 | 显示全部楼层
提示: 作者被禁止或删除 内容自动屏蔽
回复 支持 反对

使用道具 举报

 楼主| 发表于 2016-7-10 13:20:27 | 显示全部楼层
626017418 发表于 2016-7-9 21:04
但是yum -y install wget;wget http://api.ceomao.cn/kangle/kc.sh -O kc.sh;sh kc.sh这个可以

这是因为你已经存在了脚本 你先删除脚本在执行即可!已经更新了 ! rm -rf ke.sh
回复 支持 反对

使用道具 举报

发表于 2016-7-11 12:49:07 | 显示全部楼层
默认的不是这套自适应呀
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|Archiver|Bangteng Inc. ( 赣ICP备13005708号-5

GMT+8, 2017-12-11 21:18 , Processed in 0.055801 second(s), 20 queries , Gzip On.

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表